package com.mcwl.pay.service;

import com.alipay.api.AlipayApiException;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.pay.domain.OrderTradeDto;
import com.mcwl.pay.domain.vo.PayVo;

public interface AliPayService {
    String bindingCallback(String authCode, String state);

    PayVo memberPay(OrderTradeDto orderTradeDto) throws Exception;

    PayVo pointsPay(Double paymentAmount) throws Exception;

    AjaxResult fetch(String outBizNo, String amount) throws AlipayApiException;

    String balance() throws AlipayApiException;
}
