package com.mcwl.resource.service;

import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.Report;
import com.mcwl.resource.domain.vo.PageVo;

/**
 * 举报 业务层
 *
 * @author DaiZibo
 * @date 2025/1/18
 * @apiNote
 */

public interface ReportService {
    void addReport(Report report);

    AjaxResult selectReport(PageVo pageVo);

    void deleteReport(Long id);

    void updateStatus(Long id);

}
